import { Genetics } from "./Genetics";
import { Genotype } from "./Genotype";
export type CreatureProps = {
    genetics: Genetics;
    genotypes: Record<string, Genotype>;
};
export declare class Creature {
    private _genetics;
    private _genotypes;
    constructor({ genetics, genotypes }: CreatureProps);
    get genetics(): Genetics;
    get random(): import("random-seed").RandomSeed;
    get genotypes(): {
        [x: string]: Genotype;
    };
    mate(otherCreature: Creature): Creature;
}
