"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Creature = void 0;
class Creature {
    constructor({ genetics, genotypes }) {
        this._genetics = genetics;
        this._genotypes = genotypes;
    }
    get genetics() {
        return this._genetics;
    }
    get random() {
        return this._genetics.random;
    }
    get genotypes() {
        return Object.assign({}, this._genotypes);
    }
    mate(otherCreature) {
        return new Creature({
            genetics: this._genetics,
            genotypes: Object.keys(this._genotypes).reduce((genotypes, key) => {
                genotypes[key] = this._genetics.createGenotype({
                    parentOnePair: this._genotypes[key].pair,
                    parentTwoPair: otherCreature.genotypes[key].pair,
                });
                return genotypes;
            }, {}),
        });
    }
}
exports.Creature = Creature;
