import { RandomSeed } from "random-seed";
import { Gene, GeneProps } from "./Gene";
import { Genotype, GenotypeProps } from "./Genotype";
import { Creature, CreatureProps } from "./Creature";
type GeneticsProps = {
    seed: string;
};
export declare class Genetics {
    private _seed;
    private _random;
    constructor({ seed }: GeneticsProps);
    get seed(): string;
    get random(): RandomSeed;
    createGene(props: Omit<GeneProps, "genetics">): Gene;
    createGenotype(props: Omit<GenotypeProps, "genetics">): Genotype;
    createCreature(props: Omit<CreatureProps, "genetics">): Creature;
}
export {};
