"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Genetics = void 0;
const random_seed_1 = require("random-seed");
const Gene_1 = require("./Gene");
const Genotype_1 = require("./Genotype");
const Creature_1 = require("./Creature");
class Genetics {
    constructor({ seed }) {
        this._seed = seed;
        this._random = (0, random_seed_1.create)(seed);
    }
    get seed() {
        return this._seed;
    }
    get random() {
        return this._random;
    }
    createGene(props) {
        return new Gene_1.Gene(Object.assign(Object.assign({}, props), { genetics: this }));
    }
    createGenotype(props) {
        return new Genotype_1.Genotype(Object.assign(Object.assign({}, props), { genetics: this }));
    }
    createCreature(props) {
        return new Creature_1.Creature(Object.assign(Object.assign({}, props), { genetics: this }));
    }
}
exports.Genetics = Genetics;
