import { Gene } from "./Gene";
import { Genetics } from "./Genetics";
type GenePair = [Gene, Gene];
export type GenotypeProps = {
    genetics: Genetics;
    parentOnePair: GenePair;
    parentTwoPair: GenePair;
};
export declare class Genotype {
    private _pair;
    private _genetics;
    private _parentOnePair;
    private _parentTwoPair;
    constructor({ genetics, parentOnePair: parentOnePair, parentTwoPair: parentTwoPair, }: GenotypeProps);
    get genetics(): Genetics;
    get random(): import("random-seed").RandomSeed;
    get feature(): string;
    get parentOnePair(): GenePair;
    get parentTwoPair(): GenePair;
    get pair(): GenePair;
    get phenotype(): Gene;
}
export {};
